Summary:	Install Debian and Slackware Packages with RPM
Name:		alien
Version:	8.95
Release:	%mkrel 4
URL:		http://sourceforge.net/projects/alien/
Source:		http://ftp.debian.org/debian/pool/main/a/alien/alien_%{version}.tar.xz
Patch0:		alien_8.74-do-not-own-sys-directories.diff
License:	GPLv2+
Group:		System/Packaging
Requires:	dpkg >= 1.13.26, rpm-build
# required to be able to convert rpm to .deb (mga#6887) and (mga#15941)
Recommends:	debhelper
BuildRequires:	perl-devel
BuildArch: noarch

%description
Alien is a program that converts between the rpm (%{_vendor}, Mandriva,
Redhat), dpkg (Debian), slp (Stampede), and tgz (Slackware) file formats.
If you want to use a package from another distribution than the one
you have installed on your system, you can use alien to convert
it to your preferred package format and install it.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .SYS_DIRS

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
perl -pi -e 's/: :\s*extra_/:: extra_/' Makefile

%make

%install
%makeinstall_std VARPREFIX=%buildroot PREFIX=%buildroot%_prefix

%files
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/Alien


%changelog
* Wed Oct 26 2016 ghibo <ghibo> 8.95-4.mga6
+ Revision: 1063604
- Extend list of directories to not be owned (e.g. /opt), to avoid conflits with those already owned by the filesystem package

* Sat Jun 18 2016 pterjan <pterjan> 8.95-3.mga6
+ Revision: 1022095
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 8.95-2.mga6
+ Revision: 969905
- Mageia 6 Mass Rebuild

* Tue Sep 22 2015 shlomif <shlomif> 8.95-1.mga6
+ Revision: 882243
- New version 8.95

* Fri May 15 2015 doktor5000 <doktor5000> 8.90-4.mga5
+ Revision: 822098
- add Recommends on debhelper to be able to convert rpm to .deb
  o fixes (mga#6887) and (mga#15941)

* Wed Oct 15 2014 umeabot <umeabot> 8.90-3.mga5
+ Revision: 746103
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 8.90-2.mga5
+ Revision: 677734
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 shlomif <shlomif> 8.90-1.mga5
+ Revision: 617811
- New version 8.90

* Sat Oct 19 2013 umeabot <umeabot> 8.88-2.mga4
+ Revision: 527779
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 tv <tv> 8.88-1.mga4
+ Revision: 442410
- new release

  + shlomif <shlomif>
    - Remove trailing space and reformat

* Mon Jan 21 2013 malo <malo> 8.87-3.mga3
+ Revision: 390321
- updated RPM group

* Fri Jan 11 2013 umeabot <umeabot> 8.87-2.mga3
+ Revision: 345506
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 shlomif <shlomif> 8.87-1.mga3
+ Revision: 248824
- New version: 8.87

* Sat Apr 21 2012 tv <tv> 8.84-2.mga2
+ Revision: 232267
- no need to require perl

  + kharec <kharec>
    - new version 8.84

* Sat May 21 2011 ahmad <ahmad> 8.79-4.mga1
+ Revision: 100008
- Add %%{_vendor} to the list of examples of rpm-based distros

* Sat Jan 08 2011 kharec <kharec> 8.79-3.mga1
+ Revision: 1243
- imported package alien


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 8.79-3mdv2011.0
+ Revision: 609966
- rebuild

* Wed Apr 21 2010 Sandro Cazzaniga <kharec@mandriva.org> 8.79-2mdv2010.1
+ Revision: 537465
- Fix URL
- replace %%clean section
- clean  in the beginning of %%install

* Sun Dec 27 2009 Thierry Vignaud <tv@mandriva.org> 8.79-1mdv2010.1
+ Revision: 482657
- new release
- requires rpm-build
- require a dpkg recent enough to support data.tar.lzma

* Thu Jul 09 2009 Frederik Himpe <fhimpe@mandriva.org> 8.78-1mdv2010.0
+ Revision: 394019
- update to new version 8.78

* Tue Jun 09 2009 Frederik Himpe <fhimpe@mandriva.org> 8.76-1mdv2010.0
+ Revision: 384469
- update to new version 8.76

* Wed May 13 2009 Thierry Vignaud <tv@mandriva.org> 8.75-1mdv2010.0
+ Revision: 375472
- new release
- patch 0: prevent owning system directories (such as /, /usr, /usr/lib, ...)

* Tue May 05 2009 Thierry Vignaud <tv@mandriva.org> 8.74-1mdv2010.0
+ Revision: 372142
- new release

  + Emmanuel Andry <eandry@mandriva.org>
    - New version
    - fix license

* Tue Jul 22 2008 Thierry Vignaud <tv@mandriva.org> 8.64-3mdv2009.0
+ Revision: 240427
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Mon Nov 06 2006 Götz Waschk <waschk@mandriva.org> 8.64-1mdv2007.0
+ Revision: 77021
- Import alien

* Mon Nov 06 2006 Gtz Waschk <waschk@mandriva.org> 8.64-1mdv2007.1
- new version

